<?php
/*
  $Id: blacklist, v 1.1 2005/10/03
  Created by Jack_mcs from http://www.oscommerce-solution.com
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
define('HEADING_TITLE_BL', 'Blacklist Controller');
define('HEADING_TITLE_AUTHOR', 'by Jack_mcs from <a href="http://www.oscommerce-solution.com/" target="_blank"><span style="font-family: Verdana, Arial, sans-serif; color: sienna; font-size: 12px;">oscommerce-solution.com</span></a>');
define('HEADING_TITLE_SUPPORT_THREAD', '<a href="http://forums.oscommerce.com/topic/173841-blacklist/" target="_blank"><span style="color: sienna;">(visit the support thread)</span></a>');
define('TEXT_SORT_BY', 'Sort names by:');
define('TEXT_ALL_CUSTOMERS', 'ALL CUSTOMERS');
define('TEXT_CUSTOMERS_ALL', 'Customers All');
define('TEXT_BAN_COMPLETLY', 'Ban Completely');
define('TEXT_BANNED_COMPLETLY', 'Banned Completely');
define('TEXT_BAN_REASON', 'Reason for Blacklist');
define('TEXT_BANNED_CUSTOMERS', 'BANNED CUSTOMERS');
define('TEXT_CUSTOMERS_BLACKLISTED', 'Customers Blacklisted');
define('TEXT_HAS_ATTEMPTED', 'Has Attempted Use:');
define('TEXT_BLACKLIST_DETAILS', '<span style="font-size:13px"><strong>Blacklist Details:</strong></span><br />
There are two options for the Customers Blacklist.<br /><br />

1) <strong>Monitoring</strong> - you are notified via email when the Blacklisted customer logs-in and, when they make a purchase.<br /><br />

2) <strong>Banning</strong> - the selected customer is banned from logging-in and a Banned Message will display when they try to login. You are notified via email when the banned customer attempts to log in. To do this, check the <strong>Ban Completely</strong> checkbox when blacklisting a customer.<br /><br />

The monitoring &amp; ban are both based on a comparison of the customer\'s delivery address in their address book and that of their blacklisted delivery address. So, if that customer registers another account with a different delivery address, they will be able to bypass the ban - at least until you ban that new account.<br /><br />

This feature only works for registered customers. It does not work for Purchase Without Account (PWA) customers. If you have the PWA addon installed and need to blacklist a PWA customer, the best way is to create a registered account for them and ban them based on that account.<br /><br />

<span style="font-size:13px"><strong>Other:</strong></span><br />
1) <strong>All Customers Dropdown</strong> - When blacklisting a customer, the form on this page removes that customer from the "All Customers" dropdown menu and adds them to the "Banned Customers" dropdown menu. This is done to help separate the two lists. The blacklisted customer is not removed from the "customers" database table and all their information is stored and intact.<br /><br />

2) <strong>Appending Blacklist Notation</strong> - If you need to append an update to the Blacklist Reason notation, you have to: 

<ul><li>select the customer in the Banned Customers (right side) dropdown menu</li>
<li>copy &amp; paste your prior notation to a Word document or notepad</li>
<li>delete that customer from the Banned Customers list</li>
<li>select that same customer in the All Customers (left side) dropdown menu</li>
<li>copy &amp; paste your prior notation from the Word document or notepad into the text-area inputbox and append your new comments</li>
<li>click the update button to monitor or ban after you\'re finished with the new appended notation</li></ul>

Please keep in mind that it is good business practice to include dates of each notation and to keep these notes brief to avoid bloating the database.');
?>
